<?php
	
	$product_review_tp_theme_css = '';

	// 1st color
	$product_review_tp_color_option_first = get_theme_mod('product_review_tp_color_option_first', '#463CED');
	if ($product_review_tp_color_option_first) {
		$product_review_tp_theme_css .= ':root {';
		$product_review_tp_theme_css .= '--color-primary1: ' . esc_attr($product_review_tp_color_option_first) . ';';
		$product_review_tp_theme_css .= '}';
	}

	// preloader
	$product_review_tp_preloader_color1_option = get_theme_mod('product_review_tp_preloader_color1_option');
	if($product_review_tp_preloader_color1_option != false){
	$product_review_tp_theme_css .='.center1{';
		$product_review_tp_theme_css .='border-color: '.esc_attr($product_review_tp_preloader_color1_option).' !important;';
	$product_review_tp_theme_css .='}';
	}
	if($product_review_tp_preloader_color1_option != false){
	$product_review_tp_theme_css .='.center1 .ring::before{';
		$product_review_tp_theme_css .='background: '.esc_attr($product_review_tp_preloader_color1_option).' !important;';
	$product_review_tp_theme_css .='}';
	}

	$product_review_tp_preloader_color2_option = get_theme_mod('product_review_tp_preloader_color2_option');

	if($product_review_tp_preloader_color2_option != false){
	$product_review_tp_theme_css .='.center2{';
		$product_review_tp_theme_css .='border-color: '.esc_attr($product_review_tp_preloader_color2_option).' !important;';
	$product_review_tp_theme_css .='}';
	}
	if($product_review_tp_preloader_color2_option != false){
	$product_review_tp_theme_css .='.center2 .ring::before{';
		$product_review_tp_theme_css .='background: '.esc_attr($product_review_tp_preloader_color2_option).' !important;';
	$product_review_tp_theme_css .='}';
	}

	$product_review_tp_preloader_bg_color_option = get_theme_mod('product_review_tp_preloader_bg_color_option');

	if($product_review_tp_preloader_bg_color_option != false){
	$product_review_tp_theme_css .='.loader{';
		$product_review_tp_theme_css .='background: '.esc_attr($product_review_tp_preloader_bg_color_option).';';
	$product_review_tp_theme_css .='}';
	}

	$product_review_tp_footer_bg_color_option = get_theme_mod('product_review_tp_footer_bg_color_option');


	if($product_review_tp_footer_bg_color_option != false){
	$product_review_tp_theme_css .='#footer{';
		$product_review_tp_theme_css .='background: '.esc_attr($product_review_tp_footer_bg_color_option).';';
	$product_review_tp_theme_css .='}';
	}

	// logo tagline color
	$product_review_site_tagline_color = get_theme_mod('product_review_site_tagline_color');

	if($product_review_site_tagline_color != false){
	$product_review_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_site_tagline_color).';';
	$product_review_tp_theme_css .='}';
	}

	$product_review_logo_tagline_color = get_theme_mod('product_review_logo_tagline_color');
	if($product_review_logo_tagline_color != false){
	$product_review_tp_theme_css .='p.site-description{';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_logo_tagline_color).';';
	$product_review_tp_theme_css .='}';
	}

	// footer widget title color
	$product_review_footer_widget_title_color = get_theme_mod('product_review_footer_widget_title_color');
	if($product_review_footer_widget_title_color != false){
	$product_review_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_footer_widget_title_color).';';
	$product_review_tp_theme_css .='}';
	}

	// copyright text color
	$product_review_footer_copyright_text_color = get_theme_mod('product_review_footer_copyright_text_color');
	if($product_review_footer_copyright_text_color != false){
	$product_review_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_footer_copyright_text_color).'!important;';
	$product_review_tp_theme_css .='}';
	}

	// header image title color
	$product_review_header_image_title_text_color = get_theme_mod('product_review_header_image_title_text_color');
	if($product_review_header_image_title_text_color != false){
	$product_review_tp_theme_css .='.box-text h2{';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_header_image_title_text_color).';';
	$product_review_tp_theme_css .='}';
	}

	// menu color
	$product_review_menu_color = get_theme_mod('product_review_menu_color');
	if($product_review_menu_color != false){
	$product_review_tp_theme_css .='.main-navigation a{';
	$product_review_tp_theme_css .='color: '.esc_attr($product_review_menu_color).';';
	$product_review_tp_theme_css .='}';
}


//Footer Font Weight
$product_review_footer_copyright_title_font_weight = get_theme_mod( 'product_review_footer_copyright_title_font_weight','');
if($product_review_footer_copyright_title_font_weight == '100'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 100;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '200'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 200;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '300'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 300;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '400'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 400;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '500'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 500;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '600'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 600;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '700'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 700;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '800'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 800;';
$product_review_tp_theme_css .='}';
}else if($product_review_footer_copyright_title_font_weight == '900'){
$product_review_tp_theme_css .='#footer .site-info p {';
    $product_review_tp_theme_css .='font-weight: 900;';
$product_review_tp_theme_css .='}';
}